Subject: Re: [PATCH net-next 2/2] netns: isolate seqnums to use per-netns locks

From: [email-masked] (Eric W. Biederman)
Date: Wed, 18 Apr 2018 11:55:52 -0500

Christian Brauner <[email-masked]> writes:

> Now that it's possible to have a different set of uevents in different
> network namespaces, per-network namespace uevent sequence numbers are
> introduced. This increases performance as locking is now restricted to the
> network namespace affected by the uevent rather than locking
> everything.

Numbers please.  I personally expect that the netlink mc_list issues
will swamp any benefit you get from this.

Eric